MoreLikeThisParams.TermStyle (Solr 3.6.2 API)
Keywords: org.apache.solr.common.params.MoreLikeThisParams.TermStyle class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.solr.common.params
Enum MoreLikeThisParams.TermStyle

    java.lang.Object
      java.lang.Enum<MoreLikeThisParams.TermStyle>
          org.apache.solr.common.params.MoreLikeThisParams.TermStyle

All Implemented Interfaces:
  Serializable, Comparable<MoreLikeThisParams.TermStyle>

Enclosing interface:
  MoreLikeThisParams

    public static enum MoreLikeThisParams.TermStyle

extends Enum<MoreLikeThisParams.TermStyle>

Enum Constant Summary
`DETAILS`
`LIST`
`NONE`

Method Summary
`static MoreLikeThisParams.TermStyle` | `get(String p)`
`static MoreLikeThisParams.TermStyle` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MoreLikeThisParams.TermStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final MoreLikeThisParams.TermStyle NONE

### LIST

    public static final MoreLikeThisParams.TermStyle LIST

### DETAILS

    public static final MoreLikeThisParams.TermStyle DETAILS

Method Detail

### values

    public static final MoreLikeThisParams.TermStyle[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MoreLikeThisParams.TermStyle c : MoreLikeThisParams.TermStyle.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MoreLikeThisParams.TermStyle valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static MoreLikeThisParams.TermStyle get(String p)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD